mutation CreateVendorRate(
  $vendorName: String!,
  $category: VendorRateCategory!,
  $roleName: String!,
  $employeeWage: Float!,
  $markupPercentage: Float,
  $vendorFeePercentage: Float,
  $clientRate: Float!
) @auth(level: USER) {
  vendorRate_insert(
    data: {
      vendorName: $vendorName
      category: $category
      roleName: $roleName
      employeeWage: $employeeWage
      markupPercentage: $markupPercentage
      vendorFeePercentage: $vendorFeePercentage
      clientRate: $clientRate
    }
  )
}

mutation UpdateVendorRate(
  $id: UUID!,
  $vendorName: String,
  $category: VendorRateCategory,
  $roleName: String,
  $employeeWage: Float,
  $markupPercentage: Float,
  $vendorFeePercentage: Float,
  $clientRate: Float
) @auth(level: USER) {
  vendorRate_update(
    id: $id,
    data: {
      vendorName: $vendorName
      category: $category
      roleName: $roleName
      employeeWage: $employeeWage
      markupPercentage: $markupPercentage
      vendorFeePercentage: $vendorFeePercentage
      clientRate: $clientRate
    }
  )
}

mutation DeleteVendorRate(
  $id: UUID!
) @auth(level: USER) {
  vendorRate_delete(id: $id)
}
